/*
 * FlexiPix library
 *
 * Copyright 2010-2011 Stefan Schuermans <stefan schuermans info>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3 of the License.
 *
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef FLP_INC_INFO_H
#define FLP_INC_INFO_H

/**
 * \brief get version of the library
 *
 * \param[out] p_major major version
 * \param[out] p_minor minor version
 * \param[out] p_revision revision number
 */
void flp_get_version(unsigned int *p_major, unsigned int *p_minor,
                     unsigned int *p_revision);

#endif /* #ifndef FLP_INC_INC_H */

