/*
 * FlexiPix library
 *
 * Copyright 2010-2011 Stefan Schuermans <stefan schuermans info>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3 of the License.
 *
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef FLP_INC_TYPES_H
#define FLP_INC_TYPES_H

#include <stdint.h>

/** a single byte */
typedef uint8_t flp_u8_t;

/** a FlexiPix display */
typedef struct flp_display_s flp_display_t;

/**
 * \brief a displayer
 *
 * sends pictures to a display whenever the maximum interval expired
 */
typedef struct flp_displayer_s flp_displayer_t;

#endif /* #ifndef FLP_INC_TYPES_H */

